// © Copyrights 2026 Praajna Pattada

#include <iostream>
#include <string>
#include <limits>

int main()
{
    float a { 1.75 };
    int b { };
    b = static_cast<int>(a);
    std::cout << "Variable b has the value " << b << '\n'; // Displays the number '1', as int cannot store decimal numbers
    char c { 49 }; // 49 is the ASCII code for the number '1'
    std::cout << c << '\n'; // Displays the number '1'
    std::cout << static_cast<int>(c) << '\n'; // Converts the value of char c, i.e., 49, to an int, and so, this displays the number '49' on the screen

    std::cin.clear();
    std::cin.ignore(std::numeric_limits<std::streamsize>::max(), '\n');
    std::cin.get();
    return 0;
}
